/* Utilisation du ++ et du --                    */

public class ExempleIncrementation {

///////////////////////////////////////////////////
  
  /* Programme principal                         */

  public static void main(String [] args) {
    int i;
    char c;
    double d;
    /* Utilisation des opérateurs addition       */
    /* et soustraction classiques                */
    for ( i = 0 ; i < 10 ; i = i+1 ) {
      Ecran.formater("%3d",i); }
    Ecran.sautDeLigne();
    for ( i = 9 ; i >= 0 ; i = i-1 ) {
      Ecran.formater("%3d",i); }
    Ecran.sautDeLigne();
    Ecran.sautDeLigne();
    /* Utilisation du ++ et du --                */
    for ( i = 0 ; i < 10 ; i++ ) {
      Ecran.formater("%3d",i); }
    Ecran.sautDeLigne();
    for ( i = 9 ; i >= 0 ; i-- ) {
      Ecran.formater("%3d",i); }
    Ecran.sautDeLigne();
    Ecran.sautDeLigne();
    /* Utilisation du ++ sur une variable        */
    /* de type caractere                         */
    c = 'a';
    Ecran.afficher(c," ");
    c++;
    Ecran.afficherln(c);
    /* Utilisation du ++ sur une variable        */
    /* de type flottant                          */
    d = 1.0;
    Ecran.afficher(d," ");
    d++;
    Ecran.afficherln(d);
  }

///////////////////////////////////////////////////
}